summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorEric Anholt <eric@anholt.net>2013-09-19 09:50:49 -0700
committerEric Anholt <eric@anholt.net>2013-10-16 11:43:11 -0700
commita909eb4a229ebbea2d60717e748df3f0a2f69cc4 (patch)
treeb2b265d8609bd52369b4b6345ebc8d07f72d1e0e /autogen.sh
parentdb667aa8b847aa9718bce8f371c65a739ea922ef (diff)
downloadlibepoxy-a909eb4a229ebbea2d60717e748df3f0a2f69cc4.tar.gz
Add the generator and build infrastructure.
Not actually working yet, but it's a snapshot to start from.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..fc34bd5
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,14 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+if test -z "$NOCONFIGURE"; then
+ $srcdir/configure "$@"
+fi